/* ======  swiper (laptop) ====== */
/* ======  swiper (laptop) ====== */

.main {
  height: 90vh;
  /* margin-left: 10%; */
}

.wrapper,
.slide {
  position: relative;
  width: 100%;
  height: 100%;
}
.slide {
  overflow: hidden;
}
.slide::before {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.4);
  z-index: 10;
}
.slide .image {
  height: 100%;
  width: 100%;
  object-fit: cover;
  opacity: 0; /* Start with image hidden */
  transform: translateX(0%); /* Move slightly left initially */
  transition: opacity 1s ease-in-out, transform 1s ease-in-out;
}

.swiper-slide-active .image {
  opacity: 1; /* Fade in */
  transform: translateX(0); /* Bring to original position */
}

.slide .image-data {
  position: absolute;
  top: 50%;
  left: 30%;
  transform: translate(-50%, -50%);
  text-align: left;
  width: auto;
  z-index: 100;
  overflow: hidden;

  /* background-color: chocolate; */
}

.image-data h4 {
  font-size: 22px;
  font-weight: 600;
  color: #fff;
  opacity: 0;
  animation: slideFromLeft 1s ease-out forwards;
}
.image-data h2 {
  font-size: 65px;
  font-weight: 600;
  color: #00adf0;
  opacity: 0;
  animation: slideFromLeft 1s ease-out 0.5s forwards;
}

.image-data .text {
  font-size: 18px;
  font-weight: 400;
  color: #fff;
  opacity: 0;
  animation: slideFromLeft 1s ease-out 1s forwards;
}
.image-data button {
  display: inline-block;
  padding: 4px 20px;
  background: #00adf0;
  border: 1px solid #00adf0;
  margin-top: 25px;
  text-decoration: none;
  opacity: 0;
  transition: all 0.3s ease;
  animation: slideFromLeft 1s ease-out 1.5s forwards; /* Delay for sequential effect */
}

.image-data button:hover {
  color: #fff;
  background-color: #000;
  border: 1px solid #00adf0;
}

.image-data button a {
  font-size: 16px;

  text-decoration: none;
  color: #ffffff;
}

/* Add keyframes for animation */
@keyframes slideFromLeft {
  0% {
    transform: translateX(-100%);
    opacity: 0;
  }
  100% {
    transform: translateX(0);
    opacity: 1;
  }
}

/* swiper button css */
.nav-btn {
  height: 50px;
  width: 50px;
  border-radius: 5%;
  background: #00adf0;
  transition: 0.3s;
}
.nav-btn:hover {
  background: rgba(255, 255, 255, 0.4);
}
.swiper-button-next {
  right: 50px;
}
.swiper-button-prev {
  left: 50px;
}
.nav-btn::before,
.nav-btn::after {
  font-size: 15px;
  color: #fff;
}
.swiper-pagination-bullet {
  opacity: 1;
  height: 12px;
  width: 12px;
  background-color: #fff;
  visibility: hidden;
}
.swiper-pagination-bullet-active {
  border: 2px solid #fff;
  background-color: #c87e4f;
}

/* ======  swiper (4k) ====== */
/* ======  swiper (4k) ====== */
@media (min-width: 3840px) and (min-height: 2160px) {
  .main {
    height: 80vh;
    margin-left: 0%;

    margin: 50px 0;

    /* background-color: #c87e4f; */
  }

  .nav-btn {
    height: 100px;
    width: 100px;
  }

  .swiper-button-next {
    right: 150px;
  }
  .swiper-button-prev {
    left: 150px;
  }

  .nav-btn::before,
  .nav-btn::after {
    font-size: 55px;
    color: #fff;
  }
}

/* ======  swiper (tab) ====== */
/* ======  swiper (tab) ====== */
@media (min-width: 768px) and (max-width: 1200px) {
  .main {
    height: 40vh;
    margin-left: 0%;

    margin: 50px 0;

    /* background-color: #c87e4f; */
  }

  .nav-btn {
    visibility: hidden;
  }
  .swiper-pagination-bullet {
    visibility: visible;
  }
}

/* ======  swiper (tab-landscape) ====== */
/* ======  swiper (tab-landscape) ====== */

@media screen and (max-width: 1200px) and (min-height: 600px) and (orientation: landscape) {
  .main {
    height: 80vh;
  }
}

/* ======  swiper (mobile) ====== */
/* ======  swiper (mobile) ====== */

@media screen and (max-width: 768px) {
  .main {
    height: 40vh;
    margin-left: 0%;

    margin: 20px 0;

    /* background-color: #c87e4f; */
  }

  .nav-btn {
    visibility: hidden;
  }
  .swiper-pagination-bullet {
    visibility: visible;
  }
}

/* ======  home-about (laptop) ====== */
/* ======  home-about (laptop) ====== */

#home-about {
  height: auto;
  padding: 0 70px;
  margin: 50px 0;

  display: flex;
}

#home-about .main-box {
  height: auto;

  display: flex;
  justify-content: space-between;
}

#home-about .main-box .left-box {
  height: auto;
  width: 40%;

  padding: 20px;
}

#home-about .main-box .left-box h4 {
  font-size: 16px;
  letter-spacing: 2px;
  color: grey;
  font-weight: 400;
  text-transform: uppercase;
}

#home-about .main-box .left-box h2 {
  font-size: 27px;
  color: #051829;
  font-family: "Montserrat", sans-serif;
  position: relative;
}

#home-about .main-box .left-box h2::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -10px;
  width: 20%;
  height: 2px;
  background-color: #00adf0;
}

#home-about .main-box .left-box p {
  text-align: justify;
  margin: 20px 0;
}

#home-about .main-box .left-box button {
  display: inline-block;
  padding: 4px 20px;
  background: #00adf0;
  border: 1px solid #00adf0;
  margin-top: 25px;
  text-decoration: none;
  transition: all 0.3s ease;
}

#home-about .main-box .left-box button:hover {
  color: #fff;
  background-color: #000;
  border: 1px solid #00adf0;
}

#home-about .main-box .left-box button a {
  font-size: 16px;

  text-decoration: none;
  color: #ffffff;
}

#home-about .main-box .right-box {
  height: auto;
  width: 40%;
  border: 2px solid #00adf0;
  
  display: flex;
  justify-content: center;
  align-items: center;
  overflow: hidden; 
}

#home-about .main-box .right-box img {
  width: 100%;
  height: 100%;
  object-fit: cover; 
}

/* ======  experience (laptop) ====== */
/* ======  experience (laptop) ====== */
#experience {
  background-color: #eeeeee;
  padding: 30px 0;
  margin: 50px 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.exp {
  width: 30%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.exp h3 {
  font-size: 50px;
  color: #051829;
  font-family: "Montserrat", sans-serif;
}

.exp h3 .plus {
  color: #00adf0;
}

.exp p {
  font-size: 18px;
  font-weight: 600;
  color: #9a9a9a;
}



/* ======  products (laptop) ====== */
/* ======  products (laptop) ====== */


#products{

  padding: 0 70px;

  /* background-color: darkgreen; */

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  align-content: center;
}

#products h2 {
  font-size: 27px;
  color: #051829;
  font-family: "Montserrat", sans-serif;
  position: relative;
  display: inline-block; /* Ensures it wraps around the text */
  text-align: center;
}

#products h2::before {
  content: "";
  position: absolute;
  bottom: -10px; /* Adjusts spacing below the text */
  left: 50%;
  transform: translateX(-50%); /* Centers the underline */
  width: 15%; /* Adjust width as needed */
  height: 5px; /* Thickness of the underline */
  background-color: #00adf0; /* Same as text color */
  border-radius: 20px;
}

.slider-container {
  display: flex;
  align-items: center;
  gap: 60px;
  width: 100%;
  overflow: hidden;
  position: relative;
  margin: 20px 0;

 
  /* background-color: #30ff86; */
}

.slider {
  display: flex;
  overflow-x: auto;
  scroll-behavior: smooth;
  gap: 10px;
  width: 90%;
  padding: 10px;
  margin: 10px 0;

  /* background-color: blueviolet; */
}

.slider::-webkit-scrollbar {
  width: 8px; /* Adjust the width of the scrollbar */
  height: 5px; /* For horizontal scrollbars */

}

.slider::-webkit-scrollbar-track {
  background: #f0f0f0; /* Light background for the track */
  border-radius: 10px;


}

.slider::-webkit-scrollbar-thumb {
  background: #999;
  border-radius: 10px;

}

.slider::-webkit-scrollbar-thumb:hover {
  background: linear-gradient(45deg, #1e3a5f, #051829); /* Darker gradient on hover */
  cursor: pointer;
}


.card {
  min-width: 200px;
  height: 250px;
  /* background: #f5f5f5; */
  /* border-radius: 10px; */
  overflow: hidden;
  /* box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1); */
  text-align: center;
  margin: 0 20px;
}

.card {
  position: relative;
  overflow: hidden;
}

.card img {
  width: 100%;
  height: 80%;
  object-fit:cover;
  transition: 0.3s ease-in-out; /* Smooth effect */
}

/* Hover effect: Gray overlay */
.card img:hover {
  filter: grayscale(100%) brightness(50%); /* Converts image to gray */
}

.card p {
  font-size: 22px;
  margin: 5px 0;
  font-weight: bold;
  color: #051829;
  /* font-family: 'Montserrat', sans-serif; */
}

button.next ,
button.prev 
 {
  background: #ffffff;
  color: #051829;
  border: none;
  padding: 10px 15px;
  font-size: 20px;
  cursor: pointer;
  border-radius: 50%;
}

button.next:hover ,
button.prev:hover  {
  color: #00adf0;
}




/* ======  why-choose-us (laptop) ====== */
/* ======  why-choose-us (laptop) ====== */

#why-choose-us {
  height: auto;
  padding: 50px 70px;
  margin: 50px 0;
  background-color: #eeeeee;

  display: flex;
}

#why-choose-us .main-box {
  height: auto;

  display: flex;
  justify-content: space-between;
}

#why-choose-us .main-box .left-box {
  height: auto;
  width: 40%;

  padding: 20px;
}

#why-choose-us.main-box .left-box h4 {
  font-size: 16px;
  letter-spacing: 2px;
  color: grey;
  font-weight: 400;
  text-transform: uppercase;
}

#why-choose-us .main-box .left-box h2 {
  font-size: 27px;
  color: #051829;
  font-family: "Montserrat", sans-serif;
  position: relative;
}

#why-choose-us .main-box .left-box h2::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: -10px;
  width: 20%;
  height: 2px;
  background-color: #00adf0;
}

#why-choose-us .main-box .left-box p {
  text-align: justify;
  margin: 20px 0;
}


#why-choose-us .main-box .right-box {
  height: auto;
  width: 50%;
overflow: hidden;

  padding: 20px;
  display: flex;
  justify-content: flex-start;
  align-content: flex-start;
  align-items: flex-start;
}




.accordion{

  /* background-color: #c87e4f; */

  list-style: none;
  padding: 10px;
}

.accordion li {
  position: relative;
  padding-bottom: 4px;
  padding-top: 18px;
  /* border-top: 1px solid #dce7eb; */

  /* overflow: hidden; */

  /* background-color: #00adf0; */
}

.accordion li input[type="checkbox"] {
  position: absolute;
  cursor: pointer;
  width: 100%;
  height: 100%;
  z-index: 1;
  opacity: 0;
}

.accordion li i {
  position: absolute;
  transform: translate(-6px, 0);
  margin-top: 16px;
  right: 0;

  background-color: blueviolet;
}

.accordion li input[type=checkbox]:checked ~ p {
  margin-top: 0;
  max-height: 0;
  opacity: 0;
  transform: translateY(-50%);
}

.accordion li input[type="checkbox"]:checked ~ i::before {
  margin-right: 10px;
  transform: translate(2px, 0) rotate(45deg);

  /* background-color: chocolate; */
}

.accordion li input[type="checkbox"]:checked ~ i::after {
  margin-right: 10px;
  transform: translate(-2px,0) rotate(-45deg);

  /* background-color: rgb(66, 210, 30); */
}

.accordion li i::before, ul li i::after {
  content: "";
  position: absolute;
  background: #ffffff;
  width: 3px;
  height: 9px;
}

.accordion li i::before {
  transform: translate(-2px, 0) rotate(45deg);
}

.accordion li i:after {
  transform: translate(2px, 0) rotate(-45deg);
}


.accordion li h2 {

  font-size: 20px;
  z-index: 10;
  font-weight: 600;
  color: #ffffff;
  background-color: #ffffff;
margin-right: -20px;
  padding: 5px 20px;

  background-color: #00adf0;
}

/* .accordion li h2:hover {
  background-color: #190b3d;
} */


.accordion li p {
  font-size: 15px;
  color: rgba(48, 69, 92, 0.8);
  line-height: 26px;
  letter-spacing: 1px;
  position: relative;
  padding: 0 11px;
  max-height: 800px;
  margin-top: 14px;
  opacity: 1;
  transform: translate(0, 0);
  overflow: hidden;
  z-index: 1;
}

.transition, p, ul li i:before, ul li i:after {
  transition: all 0.25s ease-in-out;
}

.flipIn, h1, ul li {
  animation: flipdown 0.5s ease both;
}

.accordion li:nth-of-type(1) {
  animation-delay: 0.5s;
}

.accordion li:nth-of-type(2) {
  animation-delay: 0.75s;
}

.accordion li:nth-of-type(3) {
  animation-delay: 1s;
}

.accordion li:last-of-type {
  padding-bottom: 0;
}

@keyframes flipdown {
  0% {
      opacity: 0;
      transform-origin: top center;
      transform: rotateX(-90deg);
  }
  5% {
      opacity: 1;
  }
  80% {
      transform: rotateX(8deg);
  }
  83% {
      transform: rotateX(6deg);
  }
  92% {
      transform: rotateX(-3deg);
  }
  100% {
      transform-origin: top center;
      transform: rotateX(0deg);
  }
}


/* ====== industry (laptop) ====== */
/* ====== industry (laptop) ====== */

#industry{

  padding: 0 70px;
  margin: 50px 0;

  /* background-color: #c87e4f; */

  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  align-content: center;
}

#industry h2{
  font-size: 27px;
  color: #051829;
  font-family: "Montserrat", sans-serif;
  position: relative;
}

.ind{
  margin: 20px 0;
  width: 100%;
  /* padding: 30px; */

  
  /* background-color: chartreuse; */
  
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  align-content: center;
}

.ind-box {
  position: relative;
  width: 350px; /* Adjust width as needed */
  height: 250px; /* Adjust height as needed */
  overflow: hidden;
  margin: 20px;
}

.ind-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
  border-radius: 5px;
}

.ind-box  p {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  background: #00adf0; /* Optional: Add background for better readability */
  color: #fff;
  text-align: left;
  padding: 10px;
  margin: 0;
  border-radius: 5px;
  font-weight: 600;
  font-size: 18px;
    font-family: 'Montserrat', sans-serif;
    padding-left: 25px;
}




@media (max-width: 1024px) {
  .product-card {
      width: calc(50% - 20px);
  }
}

@media (max-width: 768px) {
  .container {
      flex-direction: column;
      align-items: center;
  }
  
  .sidebar {
      width: 100%;
      max-width: none;
  }
  
  .product-card {
      width: 100%;
  }

  #why-choose-us .main-box {
    display: flex;
    flex-direction: column;
  }

  #why-choose-us .main-box .left-box {
    width: 100%;
  }

  #why-choose-us .main-box .right-box {
    width: 100%;
  }


.image-data h4 {
  font-size: 20px;
}

.image-data h2 {
  font-size: 55px;
}

.image-data .text {
  font-size: 15px;
}

#experience {
  flex-direction: column;
}

.exp {
  width: 100%;
  margin-bottom: 10px;
  border-bottom: 1px solid #00000004;
}

.slider-container {
  gap: 10px;
  width: 100%;
  overflow: hidden;
  position: relative;
  margin: 10px 0;
}

.card {
  min-width: 250px;
  height: 300px;
  margin: 0 20px;
  align-items: center;
  justify-content: center;
}

.card p {
  font-size: 22px;
  margin: 5px 0;
}
}

@media (max-width: 1100px) {
    header p {
      font-size: 12px;
    }

    header a{
      font-size: 12px;
    }

    header .call{
      font-size: 12px;
    }
}

@media (max-width: 1000px) {
    header {
      height: 100px;
      display: flex;
      flex-direction: column;
    }
    
    header p {
      font-size: 14px;
    }

    #home-about .main-box {
      height: auto;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
  }

  #home-about .main-box .left-box {
      width: 100%;
  }

  #home-about .main-box .right-box {
    width: 100%;
}

.slide .image-data {
  left: 50%;
  width: 100%;
  padding: 50px;
}
}

@media (max-width: 1000px) {
    header {
      height: 100px;
      display: flex;
      flex-direction: column;
    }
    
    header p {
      font-size: 14px;
    }

    #home-about .main-box {
      height: auto;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
  }

  #home-about .main-box .left-box {
      width: 100%;
  }

  #home-about .main-box .right-box {
    width: 100%;
}

.slide .image-data {
  left: 50%;
  width: 100%;
  padding: 50px;
}
}

@media (max-width: 500px) {
  .desc{
    line-height: 28px;
  }

  .desc h3 {
    font-size: 14px;
}

.desc h4 {
  font-size: 16px;
}

header {
  height: 130px;
  display: flex;
  flex-direction: column;
}

nav{
  gap:10px;
}

nav .wrapper {
  padding: 0px 10px;
  height: 100%;
  line-height: 50px;
  justify-content: start;
}

.image-data{
  line-height: 1;
}

.image-data h4 {
  font-size: 18px;
}

.image-data h2 {
  font-size: 43px;
}

header {
  height: 130px;
  display: flex;
  flex-direction: column;
}

nav{
  gap:10px;
}

nav .wrapper {
  padding: 0px 10px;
  height: 100%;
  line-height: 50px;
  justify-content: start;
}

#products {
  padding: 0 10px;
  /* background-color: darkgreen; */
  display: flex
;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  align-content: center;
}

.slider-container {
  gap: 0px;
  width: 100%;
  overflow: hidden;
  position: relative;
  margin: 5px 0;
  width: 100%;
}

.card {
  min-width: 250px;
  height: 300px;
  margin: 0 20px;
  align-items: center;
  justify-content: center;
}

.card p {
  font-size: 22px;
  margin: 5px 0;
}
}
